-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45
CREATE DATABASE IF NOT EXISTS `seagull`;
USE `seagull`

CREATE TABLE `module` (
  `module_id` int(11) NOT NULL default '0',
  `is_configurable` smallint(1) default NULL,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `description` text,
  `admin_uri` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  `maintainers` text,
  `version` varchar(8) default NULL,
  `license` varchar(16) default NULL,
  `state` varchar(8) default NULL,
  PRIMARY KEY  (`module_id`)
) DEFAULT CHARSET=utf8;

insert into module values( 402, 1, 'opdashboard', 'Register Module', 'A Module to register', NULL, NULL, 'OpServices', NULL, 'OTHER', 'alpha');

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE `dashboards` (
  `id` int(10) default NULL,
  `var` varchar(50) default NULL,
  `value` longblob default NULL
) DEFAULT CHARSET=utf8;

CREATE INDEX dashboards_idx_01 ON dashboards (id,var);

-- ticket #1868
ALTER TABLE `dashboards` MODIFY `value` longblob;

CREATE TABLE `dashboards_resources` (
  `id` int(10) default NULL,
  `var` varchar(50) default NULL,
  `value` longblob default NULL
) DEFAULT CHARSET=utf8;

CREATE INDEX dashboards_resources_idx_01 ON dashboards_resources (id,var);

CREATE TABLE IF NOT EXISTS `shared_resources` (
  `module_id` varchar(64) not NULL,
  `contact_id` varchar(128)  not NULL,
  `resource_id` varchar(16) not NULL,
  `shared_uid` varchar(128) not NULL,
  `data` longblob default NULL,
  `create_time` datetime,
   PRIMARY KEY (module_id, contact_id, resource_id),
   INDEX (contact_id, resource_id)
)  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `networkmaps` (
  `id` int(10) NOT NULL auto_increment,
  `acl` int NOT NULL default 0,
  `allmayview` int NOT NULL default 0,
  `active` int NOT NULL default 0,
  `description` text,
  `name` varchar(255) NOT NULL,
  `username` varchar(255), 
  `revision_date` datetime,
  `revision` int(10) NOT NULL default 0,
  `data` longblob default NULL,  
  `width` int,
  `height` int,
  `preview` longblob default NULL,
  PRIMARY KEY (id),
  INDEX(name(128))
) DEFAULT CHARSET=utf8;


